-- Copyright (c) 2013 Cloudera, Inc. All rights reserved.
--
-- Version 11 of the CMON schema.
--
-- These changes give us the benefit of a covering index. In performance tests
-- they generated an order of magnitude performance improvement on tsqueries
-- that hit the disk. The reason they improved performance so much is that
-- the queries selected all the columns, like 'select metric_id, series_id,
--   ts, value ...' and before MySQL would have to go from the index back to
-- primary row to get the value column. This resulted in a lot of extra seeks
-- that we now avoid by having the value column in the index itself.
--
-- We decided to only apply these changes to future partitions because migrating
-- the old data would be too time consuming.

ALTER TABLE CMON_LL_DP DROP KEY IDX_SERIES_METRIC_TS, ADD KEY IDX_SERIES_METRIC_TS (SERIES_ID, METRIC_ID, TS, VALUE);
ALTER TABLE CMON_LL_DP_HR DROP KEY IDX_SERIES_METRIC_TS, ADD KEY IDX_SERIES_METRIC_TS (SERIES_ID, METRIC_ID, TS, AVERAGE);
UPDATE CMON_SCHEMA_VERSION SET VERSION=11;
