-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 04102 of the CMF schema. Migration code to be applied on top of the
-- previous version.
--

update SCHEMA_VERSION set VERSION=04102;

-- New table for user settings.
create table USER_SETTINGS (
    USER_SETTING_ID int8 not null,
    USER_ID int8 not null,
    ATTR varchar(255) not null,
    VALUE varchar(1048576) not null,
    primary key (USER_SETTING_ID)
);

-- User + Attribute must be unique.
create unique index IDX_UNIQUE_USER_SETTING on USER_SETTINGS
    (USER_ID, ATTR);

create index IDX_USER_SETTING_USER on USER_SETTINGS (USER_ID);

alter table USER_SETTINGS
    add constraint FK_USER_SETTING_USER
    foreign key (USER_ID)
    references USERS;
